zg 20.08.2018 21:53:01 +0300 - build 128

1. #64 - FarCommands-view problem.

svs 20.11.2014 16:02:37 +0300 - build 127

1. ...поломались алиасы:

     doskey xxx=yyy
     edit:<xxx

   В результате фар вешается.

svs 20.11.2014 12:12:14 +0300 - build 126

1. run:filename<help -- 'C:\windows\help' is not recognized as an internal or external command, operable program or batch file.

   Поиск ведётся по каталогам, как указано в Хелпе.
   Под команду "help" (без расширения) обычно попадает каталог "C:\windows\help" - это про него ошибка.

   При поиске исполняемого модуля для "run:" применяются те же функции, что и для команды "whereis:".
   Добавил проверку для "run:" на предмет FILE_ATTRIBUTE_DIRECTORY (исключим каталоги)


svs 30.07.2014 17:00:37 +0400 - build

1. Уточнение hlf по поводу "[stream[mode]] --> [stream][mode]"

svs 28.07.2014 21:16:08 +0400 - build 125

1. [stream[mode]] --> [stream][mode]

2. Уточнение для UTF8 без BOM

3. При определении кодовой страницы юникод выбирается только в том случае, если текст явно не похож на ASCII.
   Должно уменьшиться количество ложных определений юникода (а количество ложных определений ASCII, соответственно, вырасти).
   (по аналогии с изменениями в Far build 4024)

svs 22.07.2014 10:29:23 +0400 - build 124

1. "view:<" VS "view: <"

svs 17.07.2014 09:48:56 +0400 - build 123

1. Рефакторинг. Part 0x0C

svs 11.07.2014 14:25:07 +0400 - build 122

1. "Substitution extensions" - всегда (без опции)

2. Уточнение алгоритма получения выходного файла для "run:"

svs 10.07.2014 09:29:34 +0400 - build 121

1. Рефакторинг. Part 0x0B

2. Mantis#0001075: Префиксы плагина не работают с относительными путями.
    run:log<set
    Выполняется правильно, но меняет текущий путь процесса far.exe
    В результате папку невозможно удалить

svs 09.07.2014 16:12:26 +0400 - build 120

1. Текущий каталог

2. Опция "Открывать на просмотр/редактирование пустые файлы" теперь относится только
   к результатам перехвата. Обычный файл нулевого открываются всегда.

svs 09.07.2014 14:07:22 +0400 - build 119

1. Рефакторинг. Part 0x0A

2. Добавлена опция "Подстановка расширений".

     Если в настройках включена опция "Подстановка расширений", то плагин
     пытается найти файловый объект сначала как указано, а затем производит
     поиск объекта с расширениями из списка переменной среды PATHEXT.

     Т.е. "whereis:far" произведет сначала поиск как есть (т.е. "far"),
     а затем (при включенной опции) поиск "far.COM", "far.EXE", "far.BAT",...

     По умолчанию включена.

3. Mantis#0000923: Проблемы с модификаторами перехвата вывода

svs 09.07.2014 11:46:24 +0400 - build 118

1. Рефакторинг. Part 9

2. Mantis#0002471: Программа HANDLE.EXE не обнаруживается

3. Mantis#0000034: неправильная обработка кавычек в строках FARCmds

svs 08.07.2014 21:53:15 +0400 - build 117

1. Mantis#0001075: Префиксы плагина не работают с относительными путями.

svs 08.07.2014 17:46:21 +0400 - build

1. Уточнение хелпа

svs 08.07.2014 17:09:40 +0400 - build 116

1. Рефакторинг. Part 8

2. Уточнение параметров префикса edit:

	edit:[.exe                    - file = '[.exe' (отсутствует закрывающаяся скобка)
	edit:"[.exe" --params ]       - file = '[.exe --params ]'
	edit: [.exe --params ]        - file = '[.exe --params ]'
	edit:[.exe --params ]         - file = '[.exe --params ]'

	edit:[1].txt                  - file = '.txt', line = '1'
	edit: [1].txt                 - file = '[1].txt'
	edit:"[1].txt"                - file = '[1].txt'
	edit:[4,2].txt                - file = '.txt', line = '4', col = '2'
	edit: [4,2].txt               - file = '[4,2].txt'

	edit:[4,2]<[.cmd              - line = '4', col = '2', exec = '[.cmd'
	edit:<[.cmd                   - exec = '[.cmd'
	edit:<"[.exe" --help          - exec = '"[.exe" --help'
	edit:<"[.exe --help           - exec = '"[.exe --help'
	edit:<""[.exe" --help         - bug
	edit:<"[.exe" --help"         - bug
	edit:<2 "far.exe"/?"          - bug
	edit:<2 "far.exe/?            - exec = '"far.exe/?'


   Так же:

   а) в качестве пареметров можно указывать переменные среды
     set Y=2
     edit:[%Y%,3]<[.cmd    <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 2 и позицию 3
     edit:[%Y%1,3]<[.cmd   <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 21 и позицию 3

   б) любую из компонент (строка,позиция) можно опускать
     edit:[,]<[.cmd        <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 1 и позицию 1
     edit:[2,]<[.cmd       <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 2 и позицию 1
     edit:[,3]<[.cmd       <-- результат исполнения '[.cmd' открыть в редакторе и установить курсор в строку 1 и позицию 3

3. Mantis#0001143: edit:<[.exe --help

4. Mantis#0000923: Проблемы с модификаторами перехвата вывода

5. Mantis#0002272: Не работает явное перенаправление stdout в редактор

6. Mantis#0002273: Не работает явное перенаправление stdout во вьюер, если опущены пробелы

7. Mantis#0000284: Падение FAR Commands на команде edit:<echo %PATH%

8. Mantis#0002471: Программа HANDLE.EXE не обнаруживается

9. Mantis#0002271: Некорректная работа edit: при (.) Intercept stdout only

10.Mantis#0001435: Поломался выбор потока для far:edit (FarCmd plugin)

11.Mantis#0001075: Префиксы плагина не работают с относительными путями


svs 07.07.2014 18:03:10 +0400 - build 115

1. Рефакторинг. Part 7

svs 06.07.2014 18:14:44 +0400 - build 114

1. "...не работает команда edit:%farhome%\changelog..."

svs 04.07.2014 16:45:00 +0400 - build 113

1. Рефакторинг. Part 6

2. Убираем "#include file.cpp" - всё в makefile

svs 03.07.2014 16:38:44 +0400 - build 112

1. Рефакторинг. Part 5

2. Немного про перехваты выводов..

svs 02.07.2014 22:14:06 +0400 - build 111

1. Текущий каталог

svs 02.07.2014 10:31:08 +0400 - build 110

1. Рефакторинг. Part 4

2. Когда-то отвалился "префикс:<|путь|dir"

svs 30.06.2014 12:06:10 +0400 - build 109

1. Команды "load:" и "unload:" могут брать путь из файла

     load: <имяфайла
     unload: <имяфайла

   из файла берется только первая строка.

2. В команде "unload:" можно указать GUID плагина

svs 27.06.2014 16:51:56 +0400 - build

1. Уточнение хелпа

svs 26.06.2014 17:37:15 +0400 - build 108

1. Рефакторинг. Part 3

svs 26.06.2014 16:09:56 +0400 - build 107

1. Mantis#0002713: Убрать функцию Same Folder ("Такой же каталог")
   Вынос функционала Same Folder в новый плагин samefolder.

svs 26.06.2014 10:30:33 +0400 - build 106

1. В build 104 отвалился "goto:<file"

2. Рефакторинг. Part 2

zg 21.06.2014 04:11:49 +0200 - build 105

1. не собиралось в gcc.

svs 20.06.2014 14:02:08 +0400 - build 104

1. Рефакторинг. Part 1

svs 19.06.2014 17:23:46 +0400 - build 103

1. goto:<some.lnk
   переходит к объекту, куда ссылается lnk-файл (можно повесить на ассоциацию)
   http://forum.farmanager.com/viewtopic.php?p=119889#p119889

svs 11.06.2014 12:07:50 +0400 - build 102

1. Mantis#0002701: Освободить префикс "far:"

   Теперь плагин ничего не знает о префиксе "far:"

svs 28.04.2014 16:20:55 +0400 - build 101

1. Убран "macro:"

shmuel 26.04.2014 06:18:36 +0200 - build 100

1. Плагин не компилировался из-за более не существующего флага KMFLAGS_DISABLEOUTPUT.

svs 14.03.2014 13:23:28 +0400 - build 99

1. Mantis#0002570: Обработка некорректного значения в диалоге настроек

svs 11.04.2013 15:31:34 +0400 - build 98

1. Mantis#0001199: link:[/msg]
   а) Убираем проверку на "наличие источника" - пусть Far Manager разбирается.
   б) Выводим хелп, если второй аргумент не указан.

zg 23.09.2012 17:50:20 +0200 - build 97

1. Far 3.0 API 2830

zg 20.09.2012 21:52:16 +0200 - build 96

1. Far 3.0 API 2813

zg 16.09.2012 18:59:07 +0200 - build 95

1. Far 3.0 API 2802

zg 16.09.2012 15:10:24 +0200 - build 94

1. Far 3.0 API 2799

zg 26.03.2012 16:03:18 +0200 - build 93

1. Far 3.0 API 2572

drkns 02.03.2012 14:17:52 +0200 - build 92

1. goto: открывало папку не на той панели.

drkns 29.02.2012 14:33:41 +0200 - build 91

1. При вызове "same filder" из меню дисков меняем папку на той панели, к которой относится меню, а не на пассивной.

svs 24.02.2012 09:43:23 +0400 - build 90

1. Mantis#0002023: Не работает clip: в случае когда размер данных менее 2х байт
   "файл нулевого размера" - очищаем буфер обмена.

svs 21.02.2012 09:37:35 +0400 - build 89

1. Mantis#0002023: Не работает clip: в случае когда размер данных менее 2х байт
   "...вместе с clip: исправились также macro:post goto: whereis:..."

drkns 04.02.2012 13:53:08 +0200 - build 88

1. Warnings.

drkns 27.01.2012 10:27:20 +0200 - build 87

1. Far 3.0.2414.

svs 19.01.2012 15:03:37 +0400 - build 86

1. Для edit: два окна открывалось.

t-rex 13.01.2012 19:54:28 +0200 - build 85

1. Far 3.0 2373.

2. Mantis#1978: Отваливается мышь после выполнения из коммандной строки.

zg 30.12.2011 04:44:28 +0200 - build 84

1. Far 3.0 API 2343.

svs 16.08.2011 11:40:20 +0300 - build 83

1. Bug fix

svs 08.07.2011 15:07:22 +0300 - build 82

1. Отвалился поиск по "Software\Microsoft\Windows\CurrentVersion\App Paths"

2. Bug: после миграции на АПИ 3 фсе время позиционируем на пассивную панель.

drkns 28.06.2011 16:29:52 +0200 - build 81

1. Far 3 API.

drkns 24.06.2011 14:13:47 +0200 - build 80

1. Far 3 API.

drkns 21.05.2011 14:12:19 +0200 - build 79

1. Far 3 API.

t-rex 25.04.2011 12:03:08 +0200 - build 78

1. Far 3.0 API 1988

t-rex 10.03.2011 02:35:20 +0200 - build 77

1. Far 3.0 API 1905

2. Use PluginSettings.

t-rex 15.02.2011 23:05:48 +0200 - build 76

1. Забыл GetGlobalInfoW.

2. Неправильно работал GetPluginInfoW.

t-rex 15.02.2011 22:13:22 +0200 - build 75

1. Поправки для MaxDataSize.

t-rex 15.02.2011 15:17:11 +0200 - build 74

1. Far 3.0.1869 API - done.

t-rex 15.02.2011 00:43:21 +0200 - build 73

1. Far 3.0.1869 API (80% done)

2. Убран код 1.75.

3. Различные чистки и перетасовки.

4. Use pluginreg lib.

5. Use DialogBuilder for dialogs.

t-rex 06.02.2011 00:26:48 +0200

1. lng,hlf -> utf8, reg -> Far2

drkns 15.10.2010 13:23:23 +0200 - build 72

1. Из W-версии убрана опция "Добавить к меню дисков::Клавиша доступа"

svs 26.07.2010 10:41:25 +0300 - build 71

1. Для команд, читающих из файла (clip, goto, whereis, macro:post и macro:check),
   дадим возможность задать максимальное значения (вместо фиксированного 1048576)

2. Добавка в хелп (в английском есть русские буковки)
      macro:post < имяфайла
      macro:check < имяфайла
      goto: <имяфайла

svs 04.06.2010 11:19:12 +0300 - build 70

1. Mantis#0000811: FARCmds не учитывает консольные алиасы
   Алиасы раскрываются при перенаправлении ввода (<)
   Алиасы не раскрываем для whereis, goto и link, когда идет чтение из файла.

2. В loadFile() "внесен" повторяющийся кусок кода про конвертирование прочитанных данных.

3. Переработан кусок по макросам. Действует "второй" режим для post и check:

    текст макроса берётся из заданного файла:

      macro:post < имяфайла
      macro:check < имяфайла

   в хелпе пока не отражено


svs 03.06.2010 18:07:26 +0300 - build 69

1. Mantis#0001367: Улучшение помощи FarCmds
   from JohnDoe

2. В качестве эксперимента :-)
   команда "whereis:", так же как и "goto:", имеет второй режим:

    путь к файлу или каталогу берётся из заданного файла:

      goto: <имяфайла

   в хелпе пока не отражено

svs 13.05.2010 17:31:48 +0300 - build 68

1. Mantis#0001371: view/edit: Безкавычное использование относительных путей с концевыми пробелами

2. Mantis#0001372: "Двойной" синтаксис не всегда работает

3. Mantis#0000811: FARCmds не учитывает консольные алиасы
    "...Алиасы должны подставляться только в командах предполагающих запуск (при перехвате вывода). Например:
     view:<alias
     В прочих случая это просто бессмысленно:
     view:alias
     В этом случае никакого запуска не происходит, должен просто открываться файл с именем alias. Буквально "alias", без всяких подстановок..."

4. Mantis#0001372: "Двойной" синтаксис не всегда работает
     far:run 4<5
     В результате создаётся файл " 4"

5. Mantis#0001369: Кавычки в команде goto: <"имяфайла"
     Но концевой пробел почему-то игнорируется
      goto: <"имяфайла"
      goto: <"имяфайла "
     Обе команды откроют "имяфайла"

   Для правильной работы в Far 2.x минимальный билд должен быть 1547

drkns 12.05.2010 01:00:27 +0200 - build 67

1. warning.

svs 11.05.2010 11:08:58 +0300 - build 66

1. Mantis#0001369: Кавычки в команде goto: <"имяфайла"

2. Mantis#0001370: goto:<имяфайла не работает

t-rex 10.05.2010 13:52:06 +0200 - build 65

1. Mantis#1342: Падение при использовании ключа /u со слишком длинным параметром.

2. Удалил syslog.h, он не использовался.

drkns 09.05.2010 23:22:24 +0200 - build 64

1. gcc warnings.

2. На тему "оптимизации" в предыдущем билде: ну нельзя структуру, инициализируемую адресами стековых переменных, делать статической. Совсем нельзя.

svs 07.05.2010 10:55:58 +0300 - build 63

1. Mantis#0001364: Вывод на экран раздела помощи, соответствующего префиксу.

2. Форматирование кода... (AStyle, как в сорцах Far)

t-rex 03.05.2010 00:24:12 +0200 - build 62

1. link: не работал с относительными путями в Far 2.0

t-rex 02.05.2010 23:16:54 +0200 - build 61

1. Mantis#1363: Фар виснет после link:/?

svs 30.04.2010 13:12:55 +0300 - build

1. Mantis#0001174: whereis: порядок поиска

svs 09.02.2010 18:16:45 +0300 - build 60

1. Для W-версии добавка в виде MCMD_CHECKMACRO

2. Некорректный код для MACRO:POST

t-rex 10.01.2010 23:20:27 +0200 - build 59

1. NM -> MAX_PATH

drkns 09.01.2010 14:17:27 +0200 - build 58

1. Far 2.0.1327.

drkns 09.01.2010 12:59:15 +0200 - build 57

1. Far 2.0.1325.

zg 07.01.2010 19:11:50 +0200 - build 56

1. far 2.0.1317.

drkns 06.01.2010 18:54:47 +0200 - build 55

1. Far 2.0.1311.

svs 30.11.2009 13:40:36 +0300 - build 54

1. Mantis#0001174: whereis: порядок поиска

zg 20.11.2009 14:38:49 +0200 - build 53

1. Mantis#0001170: clip:filename не работает, работает только clip:fullpath\filename

t-rex 18.11.2009 21:30:41 +0200 - build 52

1. Эксперимент с cmd /u из 44 билда не удался, ибо в пайпы всё пишется в такой мешанине что аж жуть.
   Пока /u убрал, для clip:< сделал перекодировку из GetConsoleOutputCP() в юникод.
   Надо видимо сделать чтоб /u добавлялся по какому нибудь параметру для тех кому это надо.

svs 02.11.2009 15:22:01 +0300 - build 51

1. Mantis#0001154: Префикс "edit:" искжает путь к редактируемому файлу

t-rex 26.10.2009 16:14:41 +0200 - build 50

1. Переделка GetMinFarVersion.

drkns 24.10.2009 20:23:01 +0200 - build 49

1. Far 2.0.1180.

t-rex 20.10.2009 13:25:03 +0200

1. Mantis#1121: Несоответствие регистра в названиях файлов.

yjh 03.10.2009 11:35:52 +0300 - build без смены номера

1. Убираем предупреждения на 64хбитовой компиляции

zg 03.10.2009 01:26:02 +0200 - build 48

1. уточнение 45 для перенаправленного ввода.

svs 30.09.2009 11:46:52 +0300 - build 47

1. Mantis#0001075: Префиксы плагина не работают с относительными путями.

drkns 27.09.2009 09:57:00 +0200 - build 46

1. Убираем привязку к CurrentDirectory far'а.

zg 26.09.2009 17:58:07 +0200 - build 45

1. clip: определяет тип файла по bom.

zg 25.09.2009 09:29:43 +0200 - build 44

1. clip:<echo test помещало в клипбоард ерунду.

drkns 06.08.2009 19:11:23 +0200 - build 43

1. Кто-то поменял ln: на link:, но немного не до конца.
   В результате не работало ни так, ни так.

drkns 15.07.2009 20:36:17 +0200 - build 42

1. 0000933: Названия префиксов pload: и unloadp:
   pload -> load
   unloadp -> unload

drkns 11.06.2009 10:36:49 +0200 - build 41

1. Не собиралось в gcc.

svs 10.06.2009 21:31:51 +0300 - build 40

1. Избавляемся от однобуквенного шаманства с префиксами и немного унифицируем разбор префиксов

2. Mantis#0000930: unloadp: Не понимает переменные окружения

svs 10.06.2009 14:41:43 +0300

1. Корректировка хелпов по поводу алисасов

t-rex 09.06.2009 15:01:24 +0200 - build 39

1. Не собирался в x64.

svs 09.06.2009 12:24:12 +0300 - build 38

1. Mantis#0000811: FARCmds не учитывает консольные алиасы
   уточнение

svs 08.06.2009 14:50:57 +0300 - build 37

1. Mantis#0000811: FARCmds не учитывает консольные алиасы

2. В хелп добавлено описание команд pload и unloadp

svs 04.06.2009 09:57:48 +0300 - build 36

1. Mantis#0000914: whereis: не ищет в %FARHOME%

t-rex 07.03.2009 18:16:18 +0200 - build 35

1. Mantis#696: Некоректная проверка на валидность MsgID в x64.

zg 24.02.2009 01:20:23 +0200 - build 34

1. Адаптация к новому PanelAPI в 2.0.789.

drkns 27.01.2009 16:09:51 +0200 - build 33

1. Адаптация к новому PanelAPI в 2.0.753.

drkns 10.01.2009 14:56:20 +0200 - build 32

1. В майкрософтовском Писании о ExpandEnvironmentStrings сказано так:

   lpDst
     Note that this buffer cannot be the same as the lpSrc buffer.


   А в нашем Писании о FSF.ExpandEnvironmentStr сказано так:

   Dest
     Указатель на буфер, в который будет записан результат. Может указывать на Src.


Неудивительно, что простая замена одного другим не проходит даром.

t-rex 21.12.2008 02:33:42 +0200 - build 31

1. Far 2.0 build 677

svs 17.12.2008 00:52:32 +0300 - build

1. Ок, пока разделы @PLoad и @UnloadP с глаз долой

svs 17.12.2008 00:17:53 +0300 - build 30

1. Необходимо дописать разделы: @PLoad и @UnloadP и перевести!!!

2. для ln: добавлен ключ /s - позволяет создавать символическую ссылку-файл или ссылку-каталог.
   Актуален, начиная с Windows Vista (?)
   (висты нет, проверил бы кто :-))

t-rex 13.12.2008 16:04:34 +0200 - build 29

1. Переделал поддержку Load/Unload плагинов в соот. с новым API в 2.0.

t-rex 05.12.2008 02:31:12 +0200 - build 28

1. Префиксы для поддержки API загрузки/выгрузки плагинов в 1.8
   unloadp:path_to_dll (путь может быть и относительным к текущему)
   pload:path_to_dll (путь может быть и относительным к текущему)

drkns 06.10.2008 10:47:38 +0200

1. Адаптация к plugin.hpp >= 1.80.570.

drkns 05.09.2008 10:11:28 +0200 - build 27

1. Адаптация к новому PanelAPI в 1.8.

yjh 14.06.2008 00:49:06 +0300

1. Версия не менялась - синхронизация с новыми названиями констант в 1.8


t-rex 08.06.2008 17:37:05 +0200 - build 26

1. gcc 4.3.0 warnings removed.

drkns 18.11.2007 14:16:38 +0300 - build 25

1. Не работала команда "Same folder" (unicode)


t-rex 17.11.2007 02:03:17 +0200 - build 24

1. Работа с новым DialogAPI в 1.8.

yjh 13.11.2007 08:04:56 +0300 - build 23

1. Адаптация для 1.80 (unicode)


t-rex 06.02.2007 00:04:22 +0200

1. Общий мэйк файл для x64 и x86 для VC.


svs 14.12.2006 15:16:53 +0300 - build 22

1. Mantis#34: неправильная обработка кавычек в строках FARCmds

svs 12.12.2006 17:47:10 +0300 - build 21

1. Mantis#219: Отсутствует шорткат в диалоге настройки для View/edit empty files
   + к этому были дубликаты в горячих клавишах

t-rex 08.12.2006 03:38:32 +0200 - build 20

1. Сборка для x64 + мэйк для VC.

2. Перевод.


svs 28.11.2006 17:56:06 +0300 - build 1.71.0.19

1. Mantis#0000220: Удаление файла с нулевым размером после view:filename
                   или edit:filename

2. Mantis#0000221: Не создается файл при вызове edit:filename в случае если
                   файл отсутствует
